UZBL-CORE(1)

NAME
uzbl-core - keyboard controlled browser

SYNOPSIS
uzbl-core [-BhpvV] [-c config] [- -connect-socket csocket] [- -display display] [-g geometry] [-n name] [-s socketid] [uri]

DESCRIPTION
uzbl-core is the main component of uzbl and is meant for integration with other tool and scripts. It uses WebKit for rendering and network interaction. Furthermore, it provides interfaces to get data in and out.

It has no built-in means for URL changing, loading/saving of bookmarks, saving history, et cetera. If your are looking for a complete browsing experience based on uzbl-core take a look at uzbl-browser(1).

The options are as follows:

-B, - -bug-info
    Prints information about dependencies and the system for bug reports and then quit.

-c, - -config config
    Configuration file to load.

- -connect-socket csocket
    The path to a uzbl-event-manager(1) (or other event manager) socket.

- -display display
    The X display to use.

-g, - -geometry geometry
    Set the geometry of uzbl-core on start. Accepts either maximized or alternatively WIDTHxHEIGHT+X+Y as formats.

-h, - -help
    Whether to print help message and exit afterwards.

-n, - -named name
    Name of the current instance (defaults to Xorg window id).

-p, - -print-events
    Whether to print events to stdout.

-s, - -xembed-socket socketid
    The Xembed socket ID.

-v, - -verbose
    Whether to print all messages or just errors.

-V, - -version
    Whether to output the version and quit.

FILES

${XDG_CONFIG_HOME:-$HOME/.config}/uzbl/config
    The default uzbl-core config file.

SEE ALSO
uzbl-browser(1) uzbl-event-manager(1)

AUTHORS
uzbl-core was written by -nosplit Dieter Plaetinck <dieter@plaetinck.be> and Ben Boeckel <mathstuf@gmail.com>.